﻿using System;
using System.Collections;
namespace Composite.Ejm1
{
    /// <summary>
    /// Representa un directorio
    /// </summary>
    public class DirComponent : FileSystemComponent
    {
        /// <summary>
        /// individual files/sub folders collection
        /// </summary>
        public ArrayList dirContents = new ArrayList();
        public DirComponent(String cName)
            : base(cName)
        {

        }

        public override void addComponent(FileSystemComponent fc)
        {
            dirContents.Add(fc);
        }

        public override FileSystemComponent getComponent(int location)
        {
            return (FileSystemComponent)dirContents[location];
        }

        public override long getComponentSize()
        {
            long sizeOfAllFiles = 0;
            foreach (FileSystemComponent component in dirContents)
            {
                sizeOfAllFiles = sizeOfAllFiles + (component.getComponentSize());
            }
            return sizeOfAllFiles;
        }
    }// End of class
}
