﻿using System;
namespace Composite.Ejm1
{
    /// <summary>
    /// Clase abstracta de la que heredan un FileComponent y DirComponent. Representa una abstraccion de un componente
    /// </summary>
    public abstract class FileSystemComponent
    {
        private string name;

        public FileSystemComponent(string cName)
        {
            name = cName;
        }

        public virtual void addComponent(FileSystemComponent component)
        {
            throw new Exception("Invalid Operation. Not Supported");
        }

        public virtual FileSystemComponent getComponent(int componentNum)
        {
            throw new Exception("Invalid Operation. Not Supported");
        }

        public abstract long getComponentSize();
    }// End of class FileSystemComponent
}
