﻿using System;
using Composite.Ejm1;
namespace Composite
{
    class Program
    {
        static void Main(string[] args)
        {
            FileSystemComponent mainFolder = new DirComponent("Year2000");
            FileSystemComponent subFolder1 = new DirComponent("Jan");
            FileSystemComponent subFolder2 = new DirComponent("Feb");
            FileSystemComponent folder1File1 = new FileComponent(
                    "Jan1DataFile.txt", 1000);
            FileSystemComponent folder1File2 = new FileComponent(
                    "Jan2DataFile.txt", 2000);
            FileSystemComponent folder2File1 = new FileComponent(
                    "Feb1DataFile.txt", 3000);
            FileSystemComponent folder2File2 = new FileComponent(
                    "Feb2DataFile.txt", 4000);
            try
            {
                mainFolder.addComponent(subFolder1);
                mainFolder.addComponent(subFolder2);
                subFolder1.addComponent(folder1File1);
                subFolder1.addComponent(folder1File2);
                subFolder2.addComponent(folder2File1);
                subFolder2.addComponent(folder2File2);
            }
            catch (Exception ex)
            {
                Console.WriteLine("No se pudo crear la estructura de componentes");
            }
            // Client refers to both composite &
            // individual components in a uniform manner
            Console.WriteLine(" Main Folder Size= "
                    + mainFolder.getComponentSize() + "kb");
            Console.WriteLine(" Sub Folder1 Size= "
                    + subFolder1.getComponentSize() + "kb");
            Console.WriteLine(" File1 in Folder1 size= "
                    + folder1File1.getComponentSize() + "kb");
            Console.ReadKey();
        }
    }
}
